#
# SPDX-License-Identifier: GPL-2.0-only
#
# Copyright Red Hat
#
from .Architecture import Architecture

########################################################################
class ARM(Architecture):
  """Class for ARM architectures.
  """

  ####################################################################
  # Public methods
  ####################################################################

  ####################################################################
  # Overridden methods
  ####################################################################

  ####################################################################
  # Protected methods
  ####################################################################

  ####################################################################
  # Private methods
  ####################################################################

########################################################################
class AArch64(ARM):
  """Class for ARM 64-bit architectures.
  """
  _available = True

  ####################################################################
  # Overridden methods
  ####################################################################
  @property
  def is32Bit(self):
    return False

  ####################################################################
  @property
  def is64Bit(self):
    return True

########################################################################
class Armhfp(ARM):
  """Class for ARM 32-bit architectures.
  """
  _available = False

  ####################################################################
  # Overridden methods
  ####################################################################
  @property
  def is32Bit(self):
    return True

  ####################################################################
  @property
  def is64Bit(self):
    return False

  ####################################################################
  @property
  def lacksHardwareData(self):
    return True

  ####################################################################
  @property
  def requiresExternalStorage(self):
    return True

