#
# SPDX-License-Identifier: GPL-2.0-only
#
# Copyright Red Hat
#
from .Architecture import Architecture

########################################################################
class PPC(Architecture):
  """Class for PPC architectures.
  """

  ####################################################################
  # Public methods
  ####################################################################

  ####################################################################
  # Overridden methods
  ####################################################################
  @property
  def is32Bit(self):
    return False

  ####################################################################
  @property
  def is64Bit(self):
    return True

  ####################################################################
  @property
  def isFedoraSecondary(self):
    return True

  ####################################################################
  # Protected methods
  ####################################################################

  ####################################################################
  # Private methods
  ####################################################################

########################################################################
class PPC64LE(PPC):
  """Class for PPC 64-bit little-endian architectures.
  """
  _available = True
