#
# SPDX-License-Identifier: GPL-2.0-only
#
# Copyright Red Hat
#
from .Architecture import Architecture

########################################################################
class S390(Architecture):
  """Class for S390 architectures.
  """

  ####################################################################
  # Public methods
  ####################################################################

  ####################################################################
  # Overridden methods
  ####################################################################
  @property
  def isFedoraSecondary(self):
    return True

  ####################################################################
  @property
  def requiresExternalStorage(self):
    return True

  ####################################################################
  # Protected methods
  ####################################################################

  ####################################################################
  # Private methods
  ####################################################################

########################################################################
class S390X(S390):
  """Class for S390X architectures.
  """
  _available = True

  ####################################################################
  # Overridden methods
  ####################################################################
  @property
  def is32Bit(self):
    return False

  ####################################################################
  @property
  def is64Bit(self):
    return True

